//本页代码由 B站@受度行人 提供，感谢您的帮助！
var tfc_wood_list = [
    "acacia",
    "ash",
    "aspen",
    "brich",
    "blackwood",
    "chestnut",
    "douglas_fir",
    "hickory",
    "kapok",
    "mangrove",
    "maple",
    "oak",
    "palm",
    "pine",
    "rosewood",
    "sequoia",
    "spruce",
    "sycamore",
    "white_cedar",
    "willow"
]

var afc_wood_list = [
    "baobab",
    "eucalyptus",
    "mahogany",
    "hevea",
    "tualang",
    "teak",
    "cypress",
    "fig",
    "ironwood",
    "ipe"
]

ServerEvents.recipes(event => {
    for (var i = 0; i < tfc_wood_list.length; i++){
        event.recipes.create.cutting("tfc:wood/stripped_log/" + tfc_wood_list[i], "tfc:wood/log/" + tfc_wood_list[i])
        event.recipes.create.cutting("tfc:wood/stripped_log/" + tfc_wood_list[i], "tfc:wood/wood/" + tfc_wood_list[i])
        event.recipes.create.cutting("12x tfc:wood/lumber/" + tfc_wood_list[i], "tfc:wood/stripped_log/" + tfc_wood_list[i])
    }

    for (var i = 0; i < afc_wood_list.length; i++){
        event.recipes.create.cutting("afc:wood/stripped_log/" + afc_wood_list[i], "afc:wood/log/" + afc_wood_list[i])
        event.recipes.create.cutting("afc:wood/stripped_log/" + afc_wood_list[i], "afc:wood/wood/" + afc_wood_list[i])
        event.recipes.create.cutting("12x afc:wood/lumber/" + afc_wood_list[i], "afc:wood/stripped_log/" + afc_wood_list[i])
    }

    event.recipes.create.cutting("afc:wood/stripped_log/eucalyptus", "afc:wood/log/rainbow_eucalyptus")
    event.recipes.create.cutting("tfc:wood/stripped_log/oak", "afc:wood/log/black_oak")
    event.recipes.create.cutting("tfc:wood/stripped_log/acacia", "afc:wood/log/gum_arabic")
    event.recipes.create.cutting("afc:wood/stripped_log/cypress", "afc:wood/log/redcedar")
    event.recipes.create.cutting("afc:wood/stripped_log/fig", "afc:wood/log/rubber_fig")
    event.recipes.create.cutting("tfc:wood/stripped_log/aspen", "afc:wood/log/poplar")

    event.recipes.create.cutting("afc:wood/stripped_log/eucalyptus", "afc:wood/wood/rainbow_eucalyptus")
    event.recipes.create.cutting("tfc:wood/stripped_log/oak", "afc:wood/wood/black_oak")
    event.recipes.create.cutting("tfc:wood/stripped_log/acacia", "afc:wood/wood/gum_arabic")
    event.recipes.create.cutting("afc:wood/stripped_log/cypress", "afc:wood/wood/redcedar")
    event.recipes.create.cutting("afc:wood/stripped_log/fig", "afc:wood/wood/rubber_fig")
    event.recipes.create.cutting("tfc:wood/stripped_log/aspen", "afc:wood/wood/poplar")
})
